log for gh.cloneconf.xmedium:1

== Installed Android Tools ==

2022-01-13 00:17:03,890 DEBUG: Reading 'config.yml'
2022-01-13 00:17:03,899 INFO: Using /opt/android-sdk/build-tools/29.0.3/apksigner 
2022-01-13 00:17:03,903 INFO: Creating log directory
2022-01-13 00:17:03,903 INFO: Creating temporary directory
2022-01-13 00:17:03,903 INFO: Creating output directory
2022-01-13 00:17:03,905 DEBUG: Getting git vcs interface for https://github.com/cloneconf/xmedium
2022-01-13 00:17:03,905 DEBUG: > git --version
git version 2.11.0
2022-01-13 00:17:04,116 INFO: Using git version 2.11.0
2022-01-13 00:17:04,117 DEBUG: Checking 0.0.1
2022-01-13 00:17:04,117 INFO: Building version 0.0.1 (1) of gh.cloneconf.xmedium
2022-01-13 00:17:04,118 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2022-01-13 00:17:04,326 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 64893 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u13) ...
2022-01-13 00:17:09,802 INFO: Getting source for revision v0.0.1
2022-01-13 00:17:09,803 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:09,803 DEBUG: > git rev-parse --show-toplevel
2022-01-13 00:17:10,007 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:10,007 DEBUG: > git submodule foreach --recursive git reset --hard
2022-01-13 00:17:10,110 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:10,111 DEBUG: > git reset --hard
2022-01-13 00:17:10,321 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:10,322 DEBUG: > git submodule foreach --recursive git clean -dffx
2022-01-13 00:17:10,427 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:10,427 DEBUG: > git clean -dffx
2022-01-13 00:17:10,532 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:10,532 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
2022-01-13 00:17:10,952 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:10,952 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com remote prune origin
2022-01-13 00:17:11,266 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:11,266 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2022-01-13 00:17:11,573 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:11,574 DEBUG: > git remote set-head origin --auto
2022-01-13 00:17:12,073 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:12,073 DEBUG: > git checkout -f v0.0.1
2022-01-13 00:17:12,373 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:12,374 DEBUG: > git clean -dffx
2022-01-13 00:17:12,497 INFO: Collecting source libraries
2022-01-13 00:17:12,583 DEBUG: Removing debuggable flags from build/srclib/flutter
2022-01-13 00:17:12,639 INFO: Creating local.properties file at build/gh.cloneconf.xmedium/local.properties
2022-01-13 00:17:12,639 DEBUG: Removing debuggable flags from build/gh.cloneconf.xmedium
2022-01-13 00:17:12,642 INFO: Removing specified files
2022-01-13 00:17:12,642 INFO: Removing ios
2022-01-13 00:17:12,644 INFO: Removing macos
2022-01-13 00:17:12,645 INFO: Removing linux
2022-01-13 00:17:12,646 INFO: Removing windows
2022-01-13 00:17:12,647 INFO: Cleaned build.gradle of keysigning configs at build/gh.cloneconf.xmedium/android/app/build.gradle
2022-01-13 00:17:12,651 INFO: Scanning source for common problems...
2022-01-13 00:17:12,659 INFO: Creating source tarball...
2022-01-13 00:17:12,764 INFO: Running 'build' commands in build/gh.cloneconf.xmedium
2022-01-13 00:17:12,764 DEBUG: Directory: build/gh.cloneconf.xmedium
2022-01-13 00:17:12,765 DEBUG: > bash -x -c /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics && /home/vagrant/build/srclib/flutter/bin/flutter packages pub get && /home/vagrant/build/srclib/flutter/bin/flutter packages pub run build_runner build && /home/vagrant/build/srclib/flutter/bin/flutter build apk --release
+ /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics
Downloading Dart SDK from Flutter engine 890a5fca2e34db413be624fc83aeea8e61d42ce6...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0  207M    0 15147    0     0  85555      0  0:42:27 --:--:--  0:42:27 85576
 45  207M   45 94.2M    0     0  89.7M      0  0:00:02  0:00:01  0:00:01 89.7M
 92  207M   92  191M    0     0  93.0M      0  0:00:02  0:00:02 --:--:-- 93.0M
100  207M  100  207M    0     0  95.6M      0  0:00:02  0:00:02 --:--:-- 95.5M
Building flutter tool...

  ╔════════════════════════════════════════════════════════════════════════════╗
  ║                 Welcome to Flutter! - https://flutter.dev                  ║
  ║                                                                            ║
  ║ The Flutter tool uses Google Analytics to anonymously report feature usage ║
  ║ statistics and basic crash reports. This data is used to help improve      ║
  ║ Flutter tools over time.                                                   ║
  ║                                                                            ║
  ║ Flutter tool analytics are not sent on the very first run. To disable      ║
  ║ reporting, type 'flutter config --no-analytics'. To display the current    ║
  ║ setting, type 'flutter config'. If you opt out of analytics, an opt-out    ║
  ║ event will be sent, and then no further information will be sent by the    ║
  ║ Flutter tool.                                                              ║
  ║                                                                            ║
  ║ By downloading the Flutter SDK, you agree to the Google Terms of Service.  ║
  ║ Note: The Google Privacy Policy describes how data is handled in this      ║
  ║ service.                                                                   ║
  ║                                                                            ║
  ║ Moreover, Flutter includes the Dart SDK, which may send usage metrics and  ║
  ║ crash reports to Google.                                                   ║
  ║                                                                            ║
  ║ Read about data we send with crash reports:                                ║
  ║ https://flutter.dev/docs/reference/crash-reporting                         ║
  ║                                                                            ║
  ║ See Google's privacy policy:                                               ║
  ║ https://policies.google.com/privacy                                        ║
  ╚════════════════════════════════════════════════════════════════════════════╝

Analytics reporting disabled.

You may need to restart any open editors for them to read new settings.
+ /home/vagrant/build/srclib/flutter/bin/flutter packages pub get
Downloading Material fonts...                                      553ms
Downloading Gradle Wrapper...                                      132ms
Downloading package sky_engine...                                  262ms
Downloading flutter_patched_sdk tools...                           555ms
Downloading flutter_patched_sdk_product tools...                   537ms
Downloading linux-x64 tools...                                   2,354ms
Downloading linux-x64/font-subset tools...                         217ms
Resolving dependencies...
  _fe_analyzer_shared 22.0.0 (33.0.0 available)
  analyzer 1.7.2 (3.1.0 available)
  build_resolvers 2.0.4 (2.0.6 available)
  built_value_generator 8.1.1 (8.1.3 available)
  dart_style 2.1.1 (2.2.1 available)
  js 0.6.3 (0.6.4 available)
  normalize 0.5.5 (0.6.0 available)
  path 1.8.0 (1.8.1 available)
  path_provider_linux 2.1.4 (2.1.5 available)
  path_provider_macos 2.0.4 (2.0.5 available)
  path_provider_platform_interface 2.0.2 (2.0.3 available)
  path_provider_windows 2.0.4 (2.0.5 available)
  source_gen 1.0.3 (1.2.1 available)
  sqflite 2.0.1 (2.0.2 available)
  test_api 0.4.3 (0.4.9 available)
  url_launcher 6.0.17 (6.0.18 available)
  url_launcher_android 6.0.13 (6.0.14 available)
  url_launcher_ios 6.0.13 (6.0.14 available)
  url_launcher_web 2.0.5 (2.0.6 available)
These packages are no longer being depended on:
- archive 3.1.8
- flutter_native_splash 1.3.3
- image 3.1.0
- petitparser 4.4.0
- universal_io 2.0.4
- xml 5.3.1
Downloading flutter_lints 1.0.4...
Downloading build_runner 2.1.7...
Downloading ferry_generator 0.4.4...
Downloading cupertino_icons 1.0.4...
Downloading package_info_plus 1.3.0...
Downloading photo_view 0.13.0...
Downloading suggestion_providers 0.0.4...
Downloading url_launcher 6.0.17...
Downloading timeago 3.1.0...
Downloading infinite_scroll_pagination 3.1.0...
Downloading nil 1.1.1...
Downloading cached_network_image 3.2.0...
Downloading get 4.6.1...
Downloading ferry_flutter 0.5.4...
Downloading ferry_hive_store 0.4.4...
Downloading gql_http_link 0.4.0...
Downloading ferry 0.10.4...
Downloading lints 1.0.1...
Downloading timing 1.0.0...
Downloading stream_transform 2.0.0...
Downloading shelf 1.2.0...
Downloading pubspec_parse 1.2.0...
Downloading graphs 2.1.0...
Downloading dart_style 2.1.1...
Downloading code_builder 4.1.0...
Downloading build_runner_core 7.2.3...
Downloading build_resolvers 2.0.4...
Downloading build_daemon 3.0.1...
Downloading build_config 1.0.0...
Downloading build 2.2.1...
Downloading analyzer 1.7.2...
Downloading ferry_exec 0.1.4...
Downloading gql_code_builder 0.2.0...
Downloading gql_build 0.2.0...
Downloading gql 0.13.0...
Downloading characters 1.2.0...
Downloading vector_math 2.1.1...
Downloading package_info_plus_web 1.0.4...
Downloading package_info_plus_windows 1.0.4...
Downloading package_info_plus_macos 1.3.0...
Downloading package_info_plus_linux 1.0.3...
Downloading package_info_plus_platform_interface 1.0.2...
Downloading url_launcher_windows 2.0.2...
Downloading url_launcher_web 2.0.5...
Downloading url_launcher_platform_interface 2.0.5...
Downloading url_launcher_macos 2.0.2...
Downloading url_launcher_linux 2.0.2...
Downloading url_launcher_ios 6.0.13...
Downloading url_launcher_android 6.0.13...
Downloading sliver_tools 0.2.5...
Downloading cached_network_image_web 1.0.1...
Downloading cached_network_image_platform_interface 1.0.0...
Downloading octo_image 1.0.1...
Downloading flutter_cache_manager 3.3.0...
Downloading gql_exec 0.3.0...
Downloading rxdart 0.27.3...
Downloading ferry_store 0.4.4...
Downloading hive 2.0.5...
Downloading gql_link 0.4.0...
Downloading ferry_cache 0.5.5...
Downloading normalize 0.5.5...
Downloading json_annotation 4.4.0...
Downloading _fe_analyzer_shared 22.0.0...
Downloading recase 4.0.0...
Downloading built_value_generator 8.1.1...
Downloading win32 2.3.3...
Downloading ffi 1.1.2...
Downloading plugin_platform_interface 2.1.2...
Downloading flutter_blurhash 0.6.0...
Downloading sqflite 2.0.1...
Downloading path_provider 2.0.8...
Downloading quiver 3.0.1+1...
Downloading source_gen 1.0.3...
Downloading sqflite_common 2.2.0...
Downloading path_provider_windows 2.0.4...
Downloading path_provider_platform_interface 2.0.2...
Downloading path_provider_macos 2.0.4...
Downloading path_provider_linux 2.1.4...
Downloading path_provider_ios 2.0.7...
Downloading path_provider_android 2.0.11...
Downloading synchronized 3.0.0...
Downloading platform 3.1.0...
Downloading xdg_directories 0.2.0...
Changed 6 dependencies!
+ /home/vagrant/build/srclib/flutter/bin/flutter packages pub run build_runner build
[INFO] Generating build script...
[INFO] Generating build script completed, took 522ms

[INFO] Precompiling build script......
[INFO] Precompiling build script... completed, took 8.4s

[INFO] Initializing inputs
[INFO] Building new asset graph...
[INFO] Building new asset graph completed, took 1.7s

[INFO] Checking for unexpected pre-existing outputs....
[INFO] Checking for unexpected pre-existing outputs. completed, took 2ms

[INFO] Running build...
[INFO] Generating SDK summary...
[INFO] 4.6s elapsed, 32/33 actions completed.
[INFO] Generating SDK summary completed, took 3.8s

[WARNING] gql_build:serializer_builder on lib/$lib$:
Your current `analyzer` version may not fully support your current SDK version.

Analyzer language version: 2.14.0
SDK language version: 2.15.0

Please update to the latest `analyzer` version (3.1.0) by running
`flutter packages upgrade`.

If you are not getting the latest version by running the above command, you
can try adding a constraint like the following to your pubspec to start
diagnosing why you can't get the latest version:

dev_dependencies:
  analyzer: ^3.1.0 

[INFO] 6.2s elapsed, 32/33 actions completed.
[INFO] 7.2s elapsed, 33/49 actions completed.
[INFO] 8.3s elapsed, 33/49 actions completed.
[INFO] 9.3s elapsed, 34/50 actions completed.
[INFO] 10.4s elapsed, 35/51 actions completed.
[INFO] 11.5s elapsed, 35/51 actions completed.
[INFO] 12.6s elapsed, 35/51 actions completed.
[INFO] 13.6s elapsed, 35/51 actions completed.
[INFO] 14.7s elapsed, 35/51 actions completed.
[INFO] 16.2s elapsed, 35/51 actions completed.
[INFO] 24.4s elapsed, 35/51 actions completed.
[WARNING] No actions completed for 15.3s, waiting on:
  - built_value_generator:built_value on lib/src/widgets/profile_image.dart
  - built_value_generator:built_value on lib/singleton.dart
  - built_value_generator:built_value on lib/src/widgets/medium_image.dart
  - built_value_generator:built_value on lib/src/widgets/user_widget.dart
  - built_value_generator:built_value on lib/src/screens/post/post.dart
  .. and 11 more

[INFO] 25.9s elapsed, 39/55 actions completed.
[INFO] 27.2s elapsed, 67/83 actions completed.
[INFO] 28.3s elapsed, 73/84 actions completed.
[INFO] 29.4s elapsed, 120/136 actions completed.
[INFO] Running build completed, took 29.8s

[INFO] Caching finalized dependency graph...
[INFO] Caching finalized dependency graph completed, took 51ms

[INFO] Succeeded after 29.9s with 77 outputs (174 actions)

+ /home/vagrant/build/srclib/flutter/bin/flutter build apk --release
Downloading android-arm-profile/linux-x64 tools...                 579ms
Downloading android-arm-release/linux-x64 tools...                 357ms
Downloading android-arm64-profile/linux-x64 tools...               398ms
Downloading android-arm64-release/linux-x64 tools...               307ms
Downloading android-x64-profile/linux-x64 tools...                 295ms
Downloading android-x64-release/linux-x64 tools...                 280ms
Running "flutter pub get" in gh.cloneconf.xmedium...             1,695ms

💪 Building with sound null safety 💪

Running Gradle task 'assembleRelease'...                        
Checking the license for package Android SDK Platform 31 in /opt/android-sdk/licenses
License for package Android SDK Platform 31 accepted.
Preparing "Install Android SDK Platform 31 (revision: 1)".
"Install Android SDK Platform 31 (revision: 1)" ready.
Installing Android SDK Platform 31 in /opt/android-sdk/platforms/android-31
"Install Android SDK Platform 31 (revision: 1)" complete.
"Install Android SDK Platform 31 (revision: 1)" finished.
Note: /home/vagrant/.pub-cache/hosted/pub.dartlang.org/path_provider_android-2.0.11/android/src/main/java/io/flutter/plugins/pathprovider/PathProviderPlugin.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
WARNING: [Processor] Library '/home/vagrant/.gradle/caches/modules-2/files-2.1/org.robolectric/shadows-framework/4.3/150103d5732c432906f6130b734e7452855dd67b/shadows-framework-4.3.jar' contains references to both AndroidX and old support library. This seems like the library is partially migrated. Jetifier will try to rewrite the library anyway.
 Example of androidX reference: 'androidx/test/runner/lifecycle/Stage'
 Example of support library reference: 'android/support/annotation/NonNull'
Running Gradle task 'assembleRelease'...                          169.2s
✓  Built build/app/outputs/flutter-apk/app-release.apk (19.8MB).
2022-01-13 00:21:55,397 DEBUG: Popen(['git', 'cat-file', '--batch-check'], cwd=/home/vagrant/build/gh.cloneconf.xmedium, universal_newlines=False, shell=None)
2022-01-13 00:21:55,403 INFO: Successfully built version 0.0.1 of gh.cloneconf.xmedium from 1147495546e62255f99c41e221e01ec000b8716e
2022-01-13 00:21:56,183 DEBUG: AXML contains a RESOURCE MAP
2022-01-13 00:21:56,184 DEBUG: Start of Namespace mapping: prefix 22: 'android' --> uri 33: 'http://schemas.android.com/apk/res/android'
2022-01-13 00:21:56,185 DEBUG: Checking build/gh.cloneconf.xmedium/build/app/outputs/flutter-apk/app-release.apk
2022-01-13 00:21:56,187 DEBUG: AXML contains a RESOURCE MAP
2022-01-13 00:21:56,188 DEBUG: Start of Namespace mapping: prefix 22: 'android' --> uri 33: 'http://schemas.android.com/apk/res/android'
2022-01-13 00:21:56,214 INFO: success: gh.cloneconf.xmedium
2022-01-13 00:21:56,214 INFO: Finished
2022-01-13 00:21:56,215 INFO: 1 build succeeded